Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.data
Class RCRSCSData<E>

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.data.RCRSCSData<E>

Type Parameters:
  `E` -

Direct Known Subclasses:
  EntityIDData, EntityIDListData, ValueData

    public abstract class RCRSCSData<E>

extends java.lang.Object

This class show that Data of Entity, and have one `DataType` and one value.

Author:
  takefumi

Field Summary
`protected DataType` | `type` type of this data.
`protected E` | `value` actual value of this data.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`E` | `getData()` Return the actual value of this data.
`DataType` | `getType()` Return the `DataType` of this data.
`int` | `hashCode()`
`abstract void` | `setData(E obj)` Set the value to obj
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    protected DataType type

  type of this data.

### value

    protected E value

  actual value of this data.

Method Detail

### getType

    public DataType getType()

  Return the `DataType` of this data.

  Returns:
    `DataType`

### getData

    public E getData()

  Return the actual value of this data.

  Returns:

### setData

    public abstract void setData(E obj)

  Set the value to obj

  Parameters:
    `obj` - actual value of this data

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD